// ChildView.h : interface of the CChildView class
//
/////////////////////////////////////////////////////////////////////////////

#include "CharacterDisplay.h"
#if !defined(AFX_CHILDVIEW_H__A8A55DF2_3E88_4142_8AE7_37EF2C7BFF16__INCLUDED_)
#define AFX_CHILDVIEW_H__A8A55DF2_3E88_4142_8AE7_37EF2C7BFF16__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CChildView window

class CChildView : public CWnd
{
// Construction
public:
	CChildView();

// Attributes
public:
	UINT m_uCardNum;
	CString m_strEventName;

	CString m_StartEndTime_str;
	CString m_SpendTime_str;
	CString m_str;
	ULONG ulVideoBaseAddr;
	ULONG* wrLong;
	HBITMAP m_hBitmap;

	int nInitialInt;
	int nCloseInt;

// Operations
public:
	void Initial(UINT uCardNum, CString strEventName);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CChildView)
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CChildView();

	// Generated message map functions
protected:
	//{{AFX_MSG(CChildView)
	afx_msg void OnPaint();
	afx_msg void OnFileOpen();
	afx_msg void OnColorItem();
	afx_msg void OnPictureAreaMove();
	afx_msg void OnBoardClear();
	afx_msg void OnBoardSpeed();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnMenuCharDisplay();
	CCharacterDisplay m_CharDisplay;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CHILDVIEW_H__A8A55DF2_3E88_4142_8AE7_37EF2C7BFF16__INCLUDED_)
